We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6999

Summary: Add mailing list emails to Notify Users email
Product: OJS Reporter: James MacGregor <jmacgreg>
Component: Submissions and PublishingAssignee: PKP Support <pkp-support>
Status: RESOLVED FIXED    
Severity: normal CC: alec, andreazzini, juan
Priority: P3    
Version: 2.4.3   
Hardware: All   
OS: All   
Version Reported In: Also Affects:

Description James MacGregor 2011-12-27 22:08:05 PST
Any email addresses that are added to the mailing list aren't included in the Notify Users email option that Editors have. These email addresses should 

1) be included at a minimum when "Send this message to all users associated with this journal" has been checked; and 

2) possibly also as a standalone option in the Notify Users interface (eg. "Send this message to all emails registered on the mailing list"). 

See http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=7633&p=31811#p31811 for a current workaround that addresses point 1.
Comment 1 Juan Pablo Alperin 2013-04-23 20:47:04 PDT
I see a major problem with how this is currently working, should be a fairly easy fix. 

a) right now, people on the mailing list are getting sent out an email when a new issue is published, but there is no other way to contact them. Any journal that does a rolling publication cannot notify users of new articles. This is a lot of journals. 

b) anyone who signed up for the mailing list likely actually wants to get all updates from the journal, even more so than people who are registered as "Readers" and probably didn't even mean to get notifications.
Comment 2 Juan Pablo Alperin 2013-04-23 21:54:39 PDT
also note: the right solution would actually be to de-couple the notifyUsers from the New Issue notification. Issue notification should only be a special case of notifying users.
Comment 3 Juan Pablo Alperin 2013-07-01 13:01:01 PDT
see this request: https://github.com/pkp/ojs/pull/74
Comment 4 Alec Smecher 2013-09-11 12:29:02 PDT
Added editor notify by mailing list
https://github.com/pkp/ojs/commit/f9738cd983c73da5ec278e4850d0af1bc3684c12
Comment 5 Alec Smecher 2013-09-11 12:29:52 PDT
Committed Juan's patch (with slight modifications).
Comment 6 Alec Smecher 2014-09-11 13:54:03 PDT
Pull request labeled (not merged):
mailing list
https://github.com/pkp/pkp-lib/pull/37
Comment 7 Alec Smecher 2014-09-18 08:25:03 PDT
Pull request closed (not merged):
mailing list
https://github.com/pkp/pkp-lib/pull/37